import React,{Component,Fragment} from 'react'
import {Form, Input, Select, Row, Col, Button,notification} from 'antd'

import {formItemLayout,formSubBtnLayout} from '../../../config'

import fieldSet from './descriptor/pxiadd'

import Api from '../../../service/api'

import {FormattedMessage} from 'react-intl'; //国际化依赖


const FormItem = Form.Item
const FromCreate = Form.create;
const { Option } = Select;

@FromCreate()
export default class Pxiadd extends Component
{

    constructor(props)
    {
        super(props)
        this.state = {loading:false}
    }
    handleSubmit=(e)=>{
        e.preventDefault();
        this.props.form.validateFieldsAndScroll(async (err, values) => {
            console.log(err)
            if (!err) {
                console.log('Received values of form: ', values);
                this.setState({loading:true})
                const rtnmsg = await Api.post('pxiadd/_save',{data:values})
                this.setState({loading:false})
                if(rtnmsg.retcod != SUCCESS)
                {
                        notification.error({message:'数据保存失败'})
                        return
                }
                if(rtnmsg.error)
                {
                    for(let key in rtnmsg.error)
                        this.props.form.setFields({[`${key}`]:{value:values[key],errors:[new Error(rtnmsg.error[key])]}})
                    return
                }
                notification.success({message:'数据保存成功'})
                

            }
        });
    }
   async componentWillMount()
    {
        // //发起交易切换
        // const data = await Api.post('pxiadd/init',{data:{}})
        // console.log(data)
    }
    render()
    {
        const { getFieldDecorator } = this.props.form;
        return (
            <Fragment>
                <FormattedMessage 
                　　id="hello"
                　　defaultMessage={'hello'}
                />
                <Form  onSubmit={this.handleSubmit}>
                    <FormItem
                    {...formItemLayout}
                    label="姓名"
                    >
                        {getFieldDecorator('nam', {rules:fieldSet.nam})(
                            <Input maxLength={20} placeholder="请填写姓名"/>
                        )}
                    </FormItem>
                    <FormItem
                    {...formItemLayout}
                    label="性别"
                    >
                        {getFieldDecorator('sex', {rules:fieldSet.sex})(
                            <Select placeholder="选择性别">
                                <Option value="F">女</Option>
                                <Option value="M">男</Option>
                            </Select>
                        )}
                    </FormItem>
                    <FormItem
                    {...formItemLayout}
                    label="毕业院校"
                    >
                        {getFieldDecorator('univer', {rules:fieldSet.univer})(
                            <Input maxLength={20} placeholder="请输入毕业院校"/>
                        )}
                    </FormItem>
                    <FormItem
                    {...formItemLayout}
                    label="专业"
                    >
                        {getFieldDecorator('major', {rules:fieldSet.major})(
                            <Input maxLength={20} placeholder="请输入你的专业"/>
                        )}
                    </FormItem>
                    <FormItem
                    {...formItemLayout}
                    label="联系电话"
                    >
                        {getFieldDecorator('tel', {rules:fieldSet.tel})(
                            <Input maxLength={11} placeholder="请输入联系电话"/>
                        )}
                    </FormItem>
                    <FormItem
                    {...formItemLayout}
                    label="age"
                    >
                        {getFieldDecorator('age', {rules:fieldSet.age})(
                            <Input maxLength={3} placeholder="请输入年龄"/>
                        )}
                    <FormItem {...formSubBtnLayout}>
                        <Button type="primary" htmlType="submit" loading={this.state.loading}>提交</Button>
                    </FormItem>
                    </FormItem>
                </Form>
             </Fragment>
        )
    }

} 