import React,{Component,Fragment} from 'react'
import {Form, Input, Select, Row, Col, Button,notification} from 'antd'

import {formItemLayout,formSubBtnLayout} from '../../../config'

import fieldSet from './descriptor/pxiame'

import Api from '../../../service/api'


const FormItem = Form.Item
const FromCreate = Form.create;
const { Option } = Select;

@FromCreate()
export default class Pxiame extends Component
{
    constructor(props)
    {
        super(props)
        this.state = {loading:false}
    }

    async componentWillMount()
    {
       
       const rtnmsg =await Api.post('/pxiame/init',{params:{pxiinr:this.props.match.params.id}})
       if(rtnmsg.retcod != SUCCESS)
       {
            notification.error({message:'加载数据失败'})
       }
       console.log(rtnmsg.data)
       this.props.form.setFieldsValue(rtnmsg.data)
    }
    
    handleSubmit=(e)=>{
        e.preventDefault();
        this.props.form.validateFieldsAndScroll(async (err, values) => {
            if (!err) {
                console.log('Received values of form: ', values);
                this.setState({loading:true})
                const rtnmsg =await Api.post('/pxiame/_save',{params:{pxiinr:this.props.match.params.id},data:values})
                if(rtnmsg.retcod != SUCCESS)
                {
                        notification.error({message:'数据保存失败'})
                        return 
                }
                notification.success({message:'数据保存成功'})
                this.setState({loading:false})
            }
        });
    }
    render()
    {
        const { getFieldDecorator } = this.props.form;
        return (
            <Fragment>
                <Form  onSubmit={this.handleSubmit}>
                    <FormItem
                    {...formItemLayout}
                    label="姓名"
                    >
                        {getFieldDecorator('nam', fieldSet.nam)(
                            <Input maxLength={20} placeholder="请填写姓名"/>
                        )}
                    </FormItem>
                    <FormItem
                    {...formItemLayout}
                    label="性别"
                    >
                        {getFieldDecorator('sex', fieldSet.sex)(
                            <Select >
                                <Option value="F">女</Option>
                                <Option value="M">男</Option>
                            </Select>
                        )}
                    </FormItem>
                    <FormItem
                    {...formItemLayout}
                    label="毕业院校"
                    >
                        {getFieldDecorator('univer', fieldSet.univer)(
                            <Input maxLength={20} placeholder="请输入毕业院校"/>
                        )}
                    </FormItem>
                    <FormItem
                    {...formItemLayout}
                    label="专业"
                    >
                        {getFieldDecorator('major', fieldSet.major)(
                            <Input maxLength={20} placeholder="请输入你的专业"/>
                        )}
                    </FormItem>
                    <FormItem
                    {...formItemLayout}
                    label="联系电话"
                    >
                        {getFieldDecorator('tel', fieldSet.tel)(
                            <Input maxLength={11} placeholder="请输入联系电话"/>
                        )}
                    </FormItem>
                    <FormItem
                    {...formItemLayout}
                    label="age"
                    >
                        {getFieldDecorator('age', fieldSet.age)(
                            <Input maxLength={3} placeholder="请输入年龄"/>
                        )}
                    <FormItem {...formSubBtnLayout}>
                        <Button type="primary" htmlType="submit">提交</Button>
                        &nbsp;&nbsp;&nbsp;&nbsp;
                        <Button onClick={()=>this.props.history.go(-1)} >返回</Button>
                    </FormItem>
                    </FormItem>
                </Form>
             </Fragment>
        )
    }

} 