import React,{Component} from 'react'
import { inject, observer } from 'mobx-react'
import {Menu,Icon} from 'antd'
import {withRouter} from 'react-router-dom';
import S from '../../utils/Storage'

const {SubMenu} = Menu
const menuSelectKeys = "menuSelectKeys"

@withRouter
@inject('UserContext')
@observer
export default class SideMenu extends Component
{
    
    constructor(props)
    {
        super(props)
        this.iids=0
        this.state = {}
    }
    componentWillMount()
    {
       let keyJson = S.getItem(menuSelectKeys)
       if(keyJson)
       {
           let openKeys = JSON.parse(keyJson)
           this.setState({openKeys})
       }
      
    }
    walkMenu(menuList)
    {
        if(!menuList || !menuList.length)
            return ;
        return menuList.map(item=>{
            return !item.subMenu || !item.subMenu.length?
                    <Menu.Item key={item.value||this.iids++}>
                        <span>{item.label}</span>
                    </Menu.Item>
                    :
                    <SubMenu key={this.iids++} title={<span><Icon type="mail" /><span>{item.label}</span></span>}>
                        {this.walkMenu(item.subMenu)}
                    </SubMenu>
                    
        })
    }
    showMenu(menuList)
    {
       this.iids = 0
       let rootMenu = []
       let menuNode =  this.walkMenu(menuList)
       if(menuNode)
       for(let item of menuNode)
            rootMenu.push(item.key)
        this.rootMenu = rootMenu
        return menuNode
    }
    onSelect= ({item, key, selectedKeys })=>
    {
        // this.setState({selectedKeys:selectedKeys})
        // S.setItem(menuSelectKeys,JSON.stringify(selectedKeys));
    }
    toLink=({item,key,keyPath})=>{
        if(/^\w+$/.test(key))
            this.props.history.push("/business/"+key.substring(0,3)+"/"+key.substring(3))
    }
    onOpenChange = openKeys => {
       this.setState({openKeys})
       S.setItem(menuSelectKeys,JSON.stringify(openKeys));
    }
    onOpenChange2 = openKeys => {
        console.log(openKeys)
        const latestOpenKey = openKeys.find(key => this.state.openKeys.indexOf(key) === -1);
        if (this.rootMenu.indexOf(latestOpenKey) === -1) {
            this.setState({ openKeys });
        } else {
            this.setState({
                openKeys: latestOpenKey ? [latestOpenKey] : [],
            });
        }
        sessionStorage.setItem(menuSelectKeys, JSON.stringify(openKeys));
    }
    
    render()
    {
        const {menu} = this.props.UserContext
        return (<Menu mode={this.state.collapse ? 'vertical' : 'inline'} theme={'dark'} 
                openKeys = {this.state.openKeys}
                collapse={this.state.collapse} 
                onClick={this.toLink}
               
                onOpenChange={this.onOpenChange}
             >
                 {
                     this.showMenu(menu)
                 }
             </Menu>)
    }
} 