const merge = require('webpack-merge');
const common = require('./webpack.common.js');
const webpack = require('webpack');
const path = require('path');

module.exports = merge(common, {
    devtool: 'source-map',
    devServer: {
        hot: true,
        historyApiFallback: true,
        overlay: true,
        open: false,
        host: "0.0.0.0",
        port: 9000,
        proxy: {
            '/business/service/*': {
                //target: 'http://197.1.4.163:8888',
                // target: 'http://197.1.4.195:8888',
                // target: 'http://197.1.4.163:18080/ft-backend',
                // target: 'http://197.1.4.195:18080/ft-backend',
                // target: 'http://22.5.65.161:30001',
                // target: 'http://22.6.107.179:8090',
                target:'http://127.0.0.1:8080/',
                changeOrigin: true,
                // pathRewrite: {
                //     '^/forfeit': '/'
                // }
            }
        },
    },

    plugins: [
        new webpack.NamedModulesPlugin(),
        new webpack.HotModuleReplacementPlugin(),
        new webpack.DefinePlugin({
            'process.env.NODE_ENV': JSON.stringify('development')
        }),
    ]

});
console.log("process.env.NODE_ENV 的值是(webpack.dev.js)：" + process.env.NODE_ENV)
